Desde Ubuntu 10.04 se movieron los paquetes sun-java desde el repositorio multiverse al repositorio partner, por lo tanto, si requiere del soporte de sun java jre o del plugin para el navegador firefox tendrá que habilitar el repositorio partner:

$sudo add-apt-repository "deb http://archive.canonical.com/ lucid partner"

Ahora actualice la lista de paquetes y repositorios e instale los paquetes:
$ sudo apt-get update
sudo apt-get install sun-java6-jre sun-java6-plugin

Recuerde reiniciar su navegador para que los cambios tomen efecto. Para verificar que plugins tiene habilitados escriba en la barra de dirección: about:plugins.

Espero que este tip les sea de utilidad.